package com.abcxin.smart.validator.annotation;

import java.lang.annotation.*;

/**
 * @ClassName：com.abcxin.smart.validator.annotation
 * @author：zhongjianhui
 * @date：2018/9/7 9:32
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ModelTableAnnotation {
    /**
     * 表名称
     */
    String getName() default "";
    /**
     * 表名
     */
    String tableName() default "";

    /**
     * 是否区域过滤
     * @return
     */
    String areaCodeFilter() default "1";
    /***
     * 过滤字段
     * @return
     */
    String areaCodeFilterColumn() default "areaCode";

    boolean extra() default true;
}
